Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.functions.regex
Class RegexTranslator.Range

    java.lang.Object
      net.sf.saxon.functions.regex.RegexTranslator.Range

All Implemented Interfaces:
  Comparable

Enclosing class:
  RegexTranslator

    public static final class RegexTranslator.Range

extends Object
implements Comparable

A Range represents a range of consecutive Unicode codepoints

Constructor Summary
`RegexTranslator.Range(int min, int max)` Create a range of unicode codepoints

Method Summary
`int` | `compareTo(Object o)` Compare this range with another range for ordering purposes.
`boolean` | `equals(Object obj)`
`int` | `getMax()` Get the end of the range
`int` | `getMin()` Get the start of the range
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexTranslator.Range

    public RegexTranslator.Range(int min,
                                 int max)

  Create a range of unicode codepoints

  Parameters:
    `min` - the first codepoint in the range
    `max` - the last codepoint in the range

Method Detail

### getMin

    public int getMin()

  Get the start of the range

  Returns:
    the first codepoint in the range

### getMax

    public int getMax()

  Get the end of the range

  Returns:
    the last codepoint in the range

### compareTo

    public int compareTo(Object o)

  Compare this range with another range for ordering purposes. If the two ranges have different start points, the order is the order of the start points; otherwise it is the order of the end points.

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `o` - the other range
  Returns:
    -1 if this range comes first, +1 if the other range comes first, 0 if they are equal (start and end both equal)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.